漏洞信息详情

PCRE 安全漏洞

  • CNNVD编号:CNNVD-201702-509
  • 危害等级: 中危
  • CVE编号: CVE-2017-6004
  • 漏洞类型: 资料不足
  • 发布时间: 2017-02-16
  • 威胁类型: 远程
  • 更新时间: 2017-02-17
  • 厂        商: pcre
  • 漏洞来源:

漏洞简介

PCRE(Perl Compatible Regular Expressions)是软件开发者Philip Hazel所研发的一个使用C语言编写的开源正则表达式函数库。

PCRE 8.38版本中的pcre_jit_compile.c文件的‘compile_bracket_matchingpath’函数存在安全漏洞。远程攻击者可借助正则表达式利用该漏洞造成拒绝服务(越边界读取和应用程序崩溃)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://vcs.pcre.org/pcre/code/trunk/pcre_jit_compile.c?r1=1676&r2=1680&view=patch

参考网址

来源:vcs.pcre.org

链接:https://vcs.pcre.org/pcre/code/trunk/pcre_jit_compile.c?r1=1676&r2=1680&view=patch

来源:bugs.exim.org

链接:https://bugs.exim.org/show_bug.cgi?id=2035

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多